# Fetch Products

{% hint style="info" %}
**We are in the process of enabling you to add a product via the API.**
{% endhint %}

<mark style="color:blue;">`GET`</mark> `{{base_url}}/products`

#### Headers

| Name                                            | Type   | Description                  |
| ----------------------------------------------- | ------ | ---------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {{your\_secret\_key}} |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "message": "Data retrieved successfully",
    "data": [
        {
            "id": "2acac77f-b7c5-408b-9b53-6984b17a8475",
            "name": "Chilli Fries",
            "description": null,
            "price": 60000,
            "createAt": "2023-09-26T21:57:24.000000Z",
            "updatedAt": "2023-09-26T21:57:24.000000Z"
        },
        {
            "id": "6ad5fe1a-1633-4eb9-9c72-d9ee2e0d9dfe",
            "name": "Burger",
            "description": "Burger without peanuts",
            "price": 30000,
            "createAt": "2023-05-26T19:04:17.000000Z",
            "updatedAt": "2023-05-26T19:04:17.000000Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.browpay.com/products/fetch-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
